### Constructor

# Ide VcsFileInfo new

#### Declaration

    IdeVcsFileInfo*
    ide_vcs_file_info_new (
      GFile* file
    )

#### Description

No description available.

#### Parameters

`file` | `GFile`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeVcsFileInfo`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.